/misc/storage/multipartUploadPartUrlGet multipart upload part URL
Returns a signed URL for uploading one part of a temporary multipart upload.
Request Body required
Content-Type: application/json
iduuidrequired pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
uploadIdstringrequired partNumberintegerrequired minimum: 1
maximum: 10000
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/misc/storage/multipartUploadPartUrl' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": "string",
"uploadId": "string",
"partNumber": 1
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
urlurirequired Response
{
"url": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}